phpCAS version 1.3.6

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
CAS_ProxiedService_Abstract Class Reference
Inheritance diagram for CAS_ProxiedService_Abstract:

## Public Member Functions
| setProxyTicket ($proxyTicket)
| setCasClient (CAS_Client $casClient)
Public Member Functions inherited from CAS_ProxiedService
| getServiceUrl ()
| setProxyTicket ($proxyTicket)

## Protected Member Functions
| getProxyTicket ()
| initializeProxyTicket ()

## Private Attributes
| $_proxyTicket
| $_casClient

## Detailed Description

This class implements common methods for ProxiedService implementations included with phpCAS.

Definition at line 41 of file Abstract.php.

## Member Function Documentation

## ◆ getProxyTicket()

CAS_ProxiedService_Abstract::getProxyTicket | ( |  | ) |
| protected

Answer the proxy ticket to be used when making requests.

Returns
  string

Exceptions

  CAS_OutOfSequenceException | If called before a proxy ticket has already been initialized/set.

Definition at line 83 of file Abstract.php.

References $_proxyTicket.

Referenced by CAS_ProxiedService_Http_Abstract\send().

## ◆ initializeProxyTicket()

CAS_ProxiedService_Abstract::initializeProxyTicket | ( |  | ) |
| protected

Fetch our proxy ticket.

Descendent classes should call this method once their service URL is available to initialize their proxy ticket.

Returns
  void

Exceptions

  CAS_OutOfSequenceException | If called after a proxy ticket has already been initialized.

Definition at line 133 of file Abstract.php.

References phpCAS\initializeProxiedService().

Referenced by CAS_ProxiedService_Imap\open(), and CAS_ProxiedService_Http_Abstract\send().

## ◆ setCasClient()

CAS_ProxiedService_Abstract::setCasClient | ( | CAS_Client | $casClient | ) |

Use a particular CAS_Client->initializeProxiedService() rather than the static phpCAS::initializeProxiedService().

This method should not be called in standard operation, but is needed for unit testing.

Parameters

  CAS_Client | $casClient | cas client

Returns
  void

Exceptions

  CAS_OutOfSequenceException | If called after a proxy ticket has already been initialized/set.

Implements CAS_ProxiedService_Testable.

Definition at line 112 of file Abstract.php.

## ◆ setProxyTicket()

CAS_ProxiedService_Abstract::setProxyTicket | ( |  | $proxyTicket | ) |

Register a proxy ticket with the Proxy that it can use when making requests.

Parameters

  string | $proxyTicket | proxy ticket

Returns
  void

Exceptions

  InvalidArgumentException | If the $proxyTicket is invalid.
  CAS_OutOfSequenceException | If called after a proxy ticket has already been initialized/set.

Definition at line 61 of file Abstract.php.

## Member Data Documentation

## ◆ $_casClient

CAS_Client CAS_ProxiedService_Abstract::$_casClient
| private

Definition at line 97 of file Abstract.php.

## ◆ $_proxyTicket

string CAS_ProxiedService_Abstract::$_proxyTicket
| private

The proxy ticket that can be used when making service requests.

Definition at line 49 of file Abstract.php.

Referenced by getProxyTicket().